aboutsummaryrefslogtreecommitdiffstats
path: root/core/ppp/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2009-01-27 10:34:05 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2009-01-27 10:34:05 +0000
commit40bcc59a5674985645909ac447c153c1ad6c1b22 (patch)
tree690830aae69bb5fbf03ec9e57caa6d9d4aae34dd /core/ppp/APKBUILD
parent1fa7bc47fc4327eb4846e92e3126fc8d8a5500de (diff)
downloadaports-40bcc59a5674985645909ac447c153c1ad6c1b22.tar.gz
aports-40bcc59a5674985645909ac447c153c1ad6c1b22.tar.bz2
aports-40bcc59a5674985645909ac447c153c1ad6c1b22.tar.xz
core/ppp: new aport
Diffstat (limited to 'core/ppp/APKBUILD')
-rw-r--r--core/ppp/APKBUILD44
1 files changed, 44 insertions, 0 deletions
diff --git a/core/ppp/APKBUILD b/core/ppp/APKBUILD
new file mode 100644
index 0000000000..c50ea10c0a
--- /dev/null
+++ b/core/ppp/APKBUILD
@@ -0,0 +1,44 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=ppp
+pkgver=2.4.4
+pkgrel=0
+pkgdesc="A daemon which implements the PPP protocol for dial-up networking"
+url="http://www.samba.org/ppp/"
+license="custom:GPL/BSD"
+depends="uclibc libpcap"
+makedepends="libpcap-dev"
+subpackages="$pkgname-dev $pkgname-doc"
+source="ftp://ftp.samba.org/pub/$pkgname/$pkgname-$pkgver.tar.gz
+ options
+ pon
+ poff
+ plog
+ pon.1
+ ip-up
+ ip-down"
+
+build () {
+ cd "$srcdir"/$pkgname-$pkgver
+ ./configure --prefix=/usr
+ make COPTS="$CFLAGS" || return 1
+ make INSTROOT="$pkgdir" install
+
+ install -D -m644 "$srcdir"/options "$pkgdir"/etc/ppp/options
+ install -D -m755 "$srcdir"/ip-up "$pkgdir"/etc/ppp/ip-up
+ install -D -m755 "$srcdir"/ip-down "$pkgdir"/etc/ppp/ip-down
+ install -D -m755 "$srcdir"/pon "$pkgdir"/usr/bin/pon
+ install -D -m755 "$srcdir"/poff "$pkgdir"/usr/bin/poff
+ install -D -m755 "$srcdir"/plog "$pkgdir"/usr/sbin/plog
+ install -D -m600 etc.ppp/pap-secrets "$pkgdir"/etc/ppp/pap-secrets
+ install -D -m600 etc.ppp/chap-secrets "$pkgdir"/etc/ppp/chap-secrets
+ install -D -m644 "$srcdir"/pon.1 "$pkgdir"/usr/share/man/man1/pon.1
+ mkdir -p "$pkgdir"/etc/ppp/peers
+}
+md5sums="183800762e266132218b204dfb428d29 ppp-2.4.4.tar.gz
+7a9259a8f038073eeea7e4552ff1849f options
+48c024f73a80c8b69c4def22f86902cc pon
+2d811f8470ccdea3b8c4505a438483e9 poff
+86cdaf133f7a79fb464f02d83afc7734 plog
+44cc662ba9aa61dd9add3ddd4c5ded57 pon.1
+fac0c773490371ea673f4be0977a230f ip-up
+a88b40b1bf91eb5cca3762b7195e4fe2 ip-down"